﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using MyNPOI.Excel;

namespace WebApplication1
{
    public partial class _Default : System.Web.UI.Page
    {
        #region json测试
        private string TestCommomJson = @"{ 'root':{'rowspan':1,'sheetname':'按商机类型分类','defaultwidth':12,'defaultheight':55,'head':[ {
                                                                      'title':'排序',
                                                                      'align':'center',
                                                                      'bgcolor':'#DE0A0A',
                                                                      'fontsize':14,
                                                                      'fontcolor':'#ffffff',
                                                                      'cellregion':'0,0,0,0',
                                                                      'width':20
                                                                   },
                                                                  {
                                                                      'title':'统计日期',
                                                                      'align':'center',
                                                                       'bgcolor':'#2556C9',
                                                                      'fontsize':14,
                                                                      'fontcolor':'#C96725',
                                                                      'cellregion':'0,0,1,1',
                                                                      'width':80
                                                                 },
                                                                    {
                                                                      'title':'后台预约',
                                                                      'align':'center',
                                                                      'fontsize':14,
                                                                      'cellregion':'0,0,2,2',
                                                                      'width':50
                                                                 }, {
                                                                      'title':'在线咨询',
                                                                      'align':'center',
                                                                      'fontsize':14,
                                                                      'cellregion':'0,0,3,3',
                                                                      'width':50
                                                                 }, {
                                                                      'title':'电话咨询',
                                                                      'align':'center',
                                                                      'fontsize':14,
                                                                      'cellregion':'0,0,4,4',
                                                                      'width':50
                                                                 }
                                                                    ]
                                                                }
                                                               }";

        private string TestAdvanceJson = @"{ 'root':{'rowspan':2,'sheetname':'按商机类型分类','defaultwidth':12,'defaultheight':35,'bordercolor':'#ED3C3C','borderstyle':'solid','head':[ {
                                                                      'title':'排序',
                                                                      'align':'center',
                                                                      'bgcolor':'#820C5F',
                                                                      'fontsize':14,
                                                                      'fontcolor':'#FBEC00',
                                                                      'cellregion':'0,1,0,0',
                                                                      'width':30
                                                                   },
                                                                  {
                                                                      'title':'统计日期',
                                                                      'align':'center',
                                                                      'fontsize':14,
                                                                      'cellregion':'0,1,1,1',
                                                                      'width':30
                                                                 },
                                                                   {
                                                                      'title':'商机阶段',
                                                                      'align':'center',
                                                                      'fontsize':14,
                                                                      'width':60,
                                                                      'cellregion':'0,0,2,7'
                                                                 },
                                                                  {
                                                                      'title':'商机关闭',
                                                                      'align':'center',
                                                                      'fontsize':14,
                                                                      'cellregion':'0,0,8,10'
                                                                 },
                                                                    {
                                                                      'title':'合计',
                                                                      'align':'right',
                                                                      'cellregion':'0,1,11,11',
                                                                      'bgcolor':'#FFFFFF',
                                                                      'fontsize':14,
                                                                      'fontcolor':'#DF0B0B'
                                                                 },
                                                                    {
                                                                      'title':'挖掘商机',
                                                                      'align':'center',
                                                                      'fontsize':12,
                                                                      'cellregion':'1,1,2,2'
                                                                 },{
                                                                      'title':'获取认同',
                                                                      'align':'center',
                                                                      'fontsize':12,
                                                                      'cellregion':'1,1,3,3'
                                                                 },{
                                                                      'title':'方案制定',
                                                                      'align':'center',
                                                                      'fontsize':12,
                                                                      'cellregion':'1,1,4,4',
                                                                 },{
                                                                      'title':'问题处理',
                                                                      'align':'center',
                                                                      'fontsize':12,
                                                                      'cellregion':'1,1,5,5'
                                                                 },{
                                                                      'title':'客户促成',
                                                                      'align':'center',
                                                                      'width':10,
                                                                      'fontsize':12,
                                                                      'cellregion':'1,1,6,6'
                                                                 },{
                                                                      'title':'签单处理',
                                                                      'align':'center',
                                                                      'fontsize':12,
                                                                      'cellregion':'1,1,7,7'
                                                                 }
                                                               ]}
                                                               }";
        private string TestMoreAdvanceJson = @"{ 'root':{'rowspan':3,'sheetname':'按商机类型分类','defaultwidth':12,'defaultheight':35,'head':[ {
                                                                      'title':'排序',
                                                                      'bgcolor':'#FBEC00',
                                                                      'fontsize':14,
                                                                      'fontcolor':'#ffffff',
                                                                      'cellregion':'0,2,0,0',
                                                                      'width':50
                                                                   },
                                                                  {
                                                                      'title':'统计日期',
                                                                      'fontsize':14,
                                                                      'cellregion':'0,2,1,1',
                                                                      'width':50
                                                                 },
                                                                   {
                                                                      'title':'商机阶段',
                                                                      'fontsize':14,
                                                                      'cellregion':'0,0,2,7'
                   
                                                                 },{
                                                                      'title':'商机初级阶段',
                                                                      'fontsize':14,
                                                                      'cellregion':'1,1,2,4'
                                                                 },{
                                                                      'title':'商机高级阶段',
                                                                      'fontsize':14,
                                                                      'cellregion':'1,1,5,7'
                                                                 },
                                                                  {
                                                                      'title':'商机关闭',
                                                                      'fontsize':14,
                                                                      'cellregion':'0,0,8,10'
                                                                 },
                                                                  {
                                                                      'title':'无法促成',
                                                                      'fontsize':12,
                                                                      'fontName':'隶书',
                                                                      'cellregion':'1,2,8,8'
                                                                 },
                                                                    {
                                                                      'title':'重复商机',
                                                                      'fontsize':12,
                                                                      'cellregion':'1,2,9,9'
                                                                 },
                                                                 {
                                                                      'title':'无效商机',
                                                                      'fontsize':12,
                                                                      'cellregion':'1,2,10,10'
                                                                  },
                                                                    {
                                                                      'title':'合计',
                                                                      'fontsize':'14',
                                                                      'cellregion':'0,2,11,11'
                                                                 },
                                                                    {
                                                                      'title':'A',
                                                                      'fontsize':14,
                                                                      'cellregion':'2,2,2,2'
                                                                 },{
                                                                      'title':'B',
                                                                      'fontsize':14,
                                                                      'cellregion':'2,2,3,3'
                                                                 },{
                                                                      'title':'C',
                                                                      'cellregion':'2,2,4,4'
                                                                 },{
                                                                      'title':'D',
                                                                      'cellregion':'2,2,5,5'
                                                                 },{
                                                                      'title':'E',
                                                                      'cellregion':'2,2,6,6'
                                                                 },{
                                                                      'title':'F',
                                                                      'cellregion':'2,2,7,7'
                                                                 }
                                                               ]}
                                                               }";

        #endregion

        public List<StatisticOpSourceDto> dtp = new List<StatisticOpSourceDto> { 
           new StatisticOpSourceDto{SortId=1,StatisticDate=Convert.ToDateTime("2013-05-08"),HTYY=44,ZXZX=5,DHZX=6},
          new StatisticOpSourceDto{SortId=2,StatisticDate=Convert.ToDateTime("2013-05-09"),HTYY=144,ZXZX=45,DHZX=664},
          new StatisticOpSourceDto{SortId=3,StatisticDate=Convert.ToDateTime("2013-05-08"),HTYY=434,ZXZX=578,DHZX=56}
        };
        protected void Page_Load(object sender, EventArgs e)
        {

        }

        protected void Button1_Click(object sender, EventArgs e)
        {
            new ExportBuilder<StatisticOpSourceDto>().Column(a => a.SortId.ToString())
                                                                               .Column(a => a.StatisticDate.ToString("yyyy-MM-dd"))
                                                                               .Column(a => a.HTYY.ToString())
                                                                               .Column(a => a.ZXZX.ToString())
                                                                               .Column(a => a.DHZX.ToString()).Export(dtp, "用户投保信息.xls", TestAdvanceJson);
        }
    }
}
